package org.colinvella.fancyfish.item;

import org.colinvella.fancyfish.creativetab.ModCreativeTabs;
import org.colinvella.fancyfish.item.ModItem;

import net.minecraft.creativetab.CreativeTabs;

public class FishScaleItem extends ModItem
{
	public enum Colour
	{
		Red,
		Orange,
		Yellow,
		Green,
		Blue,
		Indigo,
		Violet,
		Black,
		White,
		Silver
	}
	
	public FishScaleItem(Colour colour)
	{
		super(makeId(colour), 64, ModCreativeTabs.FancyFishTab);
	}
			
	public static String makeId(Colour colour)
	{
		return "FishScale" + colour;
	}
}
