package org.colinvella.fancyfish.item;

import org.colinvella.fancyfish.achievement.ModAchievements;
import org.colinvella.fancyfish.creativetab.ModCreativeTabs;

import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;

public class NettingItem extends ModItem
{
	public static final String ID = "Netting";
	
	public NettingItem()
	{
		super(ID, 4, ModCreativeTabs.FancyFishTab);
	}
	
	// trigger achievement for crafting netting
	@Override
	public void onCreated(ItemStack stack, World worldIn, EntityPlayer playerIn)
	{
		playerIn.addStat(ModAchievements.BuildNetting, 1);
	}
}
