package org.colinvella.fancyfish.recipe;

import java.util.HashMap;
import java.util.Map;

import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class NettingRecipe extends ShapedRecipe
{
	public static final String ID = "Netting";
	
	public NettingRecipe()
	{
		super(
			ID,
			new ItemStack(ModItemRegistry.Netting),
			new String[] {"SSS", "SSS", "SSS"},
			buildLegend());
	}
		
	private static Map<Character, ItemStack> buildLegend()
	{
		Map<Character, Item> legend = new HashMap<Character, Item>();
		legend.put('S', Items.string);
		return ShapedRecipe.MakeStackLegend(legend);
	}
}
